Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementremoveattributenomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementremoveattributenomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeAttribute(name)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Try to remove the "domestic" attribute from the entity reference by executing the "removeAttribute(name)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6D6AC0F9 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-6D6AC0F9')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6D6AC0F9

Definition at line 49 of file elementremoveattributenomodificationallowederr.java.

## Constructor & Destructor Documentation

elementremoveattributenomodificationallowederr::elementremoveattributenomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementremoveattributenomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String elementremoveattributenomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 91 of file elementremoveattributenomodificationallowederr.java.
    00091                                 {
    00092       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementremoveattributenomodificationallowederr";
    00093    }

void elementremoveattributenomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 94 of file elementremoveattributenomodificationallowederr.java. References DOMTestCase::doMain().
    00094                                           {
    00095         DOMTestCase.doMain(elementremoveattributenomodificationallowederr.class,args);
    00096    }

void elementremoveattributenomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file elementremoveattributenomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       NodeList genList;
    00067       Node gen;
    00068       NodeList gList;
    00069       Element genElement;
    00070       doc = load("staff");
    00071       genderList = doc.getElementsByTagName("gender");
    00072       gender = genderList.item(2);
    00073       genList = gender.getChildNodes();
    00074       gen = genList.item(0);
    00075       gList = gen.getChildNodes();
    00076       genElement = (Element)gList.item(0);
    00077
    00078         {
    00079                 boolean success = false;
    00080                 try {
    00081                         genElement.removeAttribute("domestic");
    00082
    00083                 }
    00084                 catch(DOMException ex) {
    00085                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00086                 }
    00087                 assertTrue("elementRemoveAttributeNoModificationAllowedErrAssert",success);
    00088         }
    00089
    00090    }

The documentation for this class was generated from the following file:

- elementremoveattributenomodificationallowederr.java